Bug 316043 - Editing tags for multiple tracks clobbers common labels
Summary: Editing tags for multiple tracks clobbers common labels
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Labels (show other bugs)
Version: 2.7.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-02 22:26 UTC by Wyatt Epp
Modified: 2013-03-03 10:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wyatt Epp 2013-03-02 22:26:50 UTC
If you edit the tags on multiple tracks simultaneously, any label common to all of those tracks is silently removed. Labels that aren't on all tracks will remain.

Reproducible: Always

Steps to Reproduce:
1. Add a label to multiple tracks and save it.
2. Select those tracks and edit some attribute of them (e,g, fix the spelling of the artist's name) and save
Actual Results:  
The label is removed from those tracks.

Expected Results:  
The label stays the way I left it.
Comment 1 Daniel Faust 2013-03-03 10:16:04 UTC
Git commit cf8b30fe1b6cfcdd88403f5a55a78a78168d3524 by Daniel Faust.
Committed on 03/03/2013 at 11:13.
Pushed by dfaust into branch 'master'.

Fix: Don't remove common labels when editing the tags of multiple tracks

When editing the tags of multiple tracks without editing the labels, common labels would be removed.
FIXED-IN: 2.8

M  +1    -0    ChangeLog
M  +15   -12   src/dialogs/TagDialog.cpp

http://commits.kde.org/amarok/cf8b30fe1b6cfcdd88403f5a55a78a78168d3524